Хотя ноябрьский «вторник обновлений», в рамках которого компании выпустят запланированные патчи для своих продуктов, будет лишь на следующей неделе, инженеры Adobe решили, что патчи для ряда критических проблем в Acrobat и Reader ждать не могут.

Компания исправила 14 уязвимостей в Acrobat DC для Windows и macOS, Acrobat Reader DC, Acrobat 2020, Acrobat Reader 2020, Acrobat 2017 и Acrobat Reader 2017, четыре из которых были признаны критическими.

Четыре критических бага (CVE-2020-24435, CVE-2020-24436, CVE-2020-24430 и CVE-2020-24437) связаны с переполнением буфера хипа, out-of-bounds записью и проблемой use-after-free. Сообщается, что все эти уязвимости можно использовать для выполнения произвольного кода в контексте текущего пользователя. Однако Adobe заявляет, что ее специалистам не известно о каких-либо атаках, использующих эти уязвимости. Всем проблемам был присвоен приоритет 2, а это значит, что в компании не ожидают, что хакеры вообще станут эксплуатировать эти баги.

Кроме того, как известно, 31 декабря 2020 года, поддержка Adobe Flash Player будет окончательно прекращена. В связи с этим инженеры Adobe сообщают, что Flash более не используется в десктопной версии приложения Acrobat DC. Все связанные с Flash параметры форм были заменены специальной «вторичной панелью инструментов».

Также из меню Adobe PDFMaker в Microsoft Word и PowerPoint пропала кнопка «Вставить мультимедиа» (Insert Media), которая ранее позволяла пользователям встраивать Flash-контент в документы.

Оставить мнение